./devel/p5-Compress-Raw-Zlib, Perl5 module interface to the zlib compression library

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 2.081nb1, Package name: p5-Compress-Raw-Zlib-2.081nb1, Maintainer: pkgsrc-users

This module provides a Perl interface to the zlib compression library.


Required to run:
[lang/perl5]

Required to build:
[pkgtools/cwrappers]

Master sites: (Expand)

SHA1: f3b8cf395f0271037cf9a70e4ff127ff53a6b635
RMD160: a0670b697f71b237fe1bc0519aad82ae6a073ff4
Filesize: 239.039 KB

Version history: (Expand)


CVS history: (Expand)


   2018-08-22 11:48:07 by Thomas Klausner | Files touched by this commit (3558)
Log message:
Recursive bump for perl5-5.28.0
   2018-04-23 04:47:34 by Wen Heping | Files touched by this commit (2) | Package updated
Log message:
Update to 2.081

Upstream changes:
2.081 4 April 2018

      * previous release used $^W instead of use warnings. Fixed.

  2.080 2 April 2018

      * No Changes
   2017-11-24 14:42:15 by Thomas Klausner | Files touched by this commit (3) | Package updated
Log message:
p5-Compress-Raw-Zlib: update to 2.076.

  2.076 21 Nov 2017

      * Zlib.xs
        Silence gcc compiler warnings when -Wsign-compare is enabled
        #123688: Compilation warnings with clang

      * zlib-src/inflate.c and zlib-src/infback.c
        Silence gcc compiler warnings when -Wimplicit-fallthrough is enabled
        #123358: Compilation warnings with gcc-7.*

      * Makefile.PL
        Windows uses -lzlib. Linux uses -lz
        #123699: wrong external zlib name used on Windows
   2017-11-15 11:41:27 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
p5-Compress-Raw-Zlib: update to 2.075.

  2.075 14 Nov 2017

      * Update zlib-src directory to use zlib 1.2.11
        #123245: perl 5.26.1 is vulnerable to CVE-2016-9843, CVE-2016-9841, \ 
CVE-2016-9840, CVE-2016-9842

      * Zlib.xs
        Don't allow offset to be greater than length of buffer in crc32.

      * Zlib.xs
        Change my_zcalloc to use safecalloc.
        The link, https://github.com/madler/zlib/issues/253, is the upstream \ 
report for the remaining
        valgrind errors not already dealt with by 1.2.11. Using calloc in \ 
Zlib.xs for now as a workaround.
        #121074: valgrind errors in the test suite
   2017-06-05 16:25:36 by Ryo ONODERA | Files touched by this commit (2298)
Log message:
Recursive revbump from lang/perl5 5.26.0
   2017-02-22 13:57:09 by Makoto Fujiwara | Files touched by this commit (2) | Package updated
Log message:
Updated devel/p5-Compress-Raw-Zlib to 2.074
-------------------------------------------
  2.074 19 Feb 2017
      * Fix bad 2.073 release

  2.073 18 Feb 2017
      * Zlib.xs
        Comment out unused variables & remove C++-ism
        #120272: [PATCH] Unbreak compilation

  2.072 12 Feb 2017
      * Makefile.PL
        #120084: Need Fix for Makefile.PL depending on . in @INC

      * zlib-src
        #120207: inflateUndermine: subvert arg conditionally used/unused

      * zlib-src
        #112829: two gcc6-found problems

      * fix deflateParams for zlib > 1.2.8
        #119762: Tests broken with zlib-1.2.10
   2017-01-02 13:13:47 by Wen Heping | Files touched by this commit (2) | Package updated
Log message:
Update to 2.071

Upstream changes:
2.071 30 Dec 2016

      * #119580 (inflate.c: One (last?) compilation warning)
        Identical issue reeported in upstream zlib
             https://github.com/madler/zlib/issues/111

        Fix checked into zlib dev codeline via
            \ 
https://github.com/madler/zlib/commit/2 … e60fbd7438

  2.070 28 Dec 2016

      * #107642: compilation warning from inflate.c

      * #119007: [PATCH] Wrong FLAG_APPEND logic analog to Bzip2
   2016-06-08 21:25:20 by Thomas Klausner | Files touched by this commit (2236) | Package updated
Log message:
Bump PKGREVISION for perl-5.24.